# -*- R -*-
# $RCSfile: util.R,v $
# $Date: 2001/03/26 20:40:38 $
# $Revision: 1.1.1.1 $
# Copyright 2001, Timothy H. Keitt

make.db.names <- function(name)
  return(gsub("\\.", "_", as.character(name)))

format.null.values <- function(...) {
  pattern <- "' *NA'|' *NaN'|' *Inf'|' *-Inf'"
  return(gsub(pattern, "NULL", as.character(...)))
}

psql <- function(conn) {

  conninfo <- .Call("PgSQLconnectionInfo", conn)

  if (is.null(conninfo)) stop("No connection")
  
  command <- "psql"

  if (conninfo$database.name != "")
    command <- paste(command, "-d", conninfo$database.name)

  if (conninfo$host.name != "")
    command <- paste(command, "-h", conninfo$host.name)

  if (conninfo$connection.port != "")
    command <- paste(command, "-p", conninfo$connection.port)

  system(command)
  
}



